Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 450434 - No sound from Intel 82801G (Stream errror: Invalid argument)
Summary: No sound from Intel 82801G (Stream errror: Invalid argument)
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 9
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-08 10:41 UTC by Tethys
Modified: 2008-06-17 09:50 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-17 09:50:41 UTC
Type: ---


Attachments (Terms of Use)

Description Tethys 2008-06-08 10:41:45 UTC
Description of problem:
Silence :-(

Version-Release number of selected component (if applicable):
pulseaudio-0.9.10-1.fc9.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. paplay /usr/share/sounds/generic.wav
2.
3.
  
Actual results:
macbeth:~% paplay /usr/share/sounds/generic.wav
Stream errror: Invalid argument

Expected results:
Sound!

Additional info:

The F9 release notes say: "The system-config-soundcard utility has been removed,
due to numerous legacy design and implementation issues. [...] Any sound card
not working out of the box should be reported as a bug.". Well, mine doesn't
work out of the box...

lspci -vv:
00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition
Audio Controller (rev 01)
        Subsystem: Holco Enterprise Co, Ltd/Shuttle Computer Unknown device 3110
        Control: I/O- Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort- >SERR- <PERR- INTx-
        Interrupt: pin A routed to IRQ 16
        Region 0: Memory at fdff8000 (64-bit, non-prefetchable) [size=16K]
        Capabilities: <access denied>
        Kernel modules: snd-hda-intel

pulseaudio -vvv:
[WARN 26815] polkit-session.c:144:polkit_session_set_uid(): session != NULL
 Not built with -rdynamic so unable to print a backtrace
 E: polkit.c: Cannot set UID on session object.
 I: main.c: PolicyKit refuses acquire-high-priority privilige.
 N: main.c: Called SUID root and real-time/high-priority scheduling was
requested in the configuration. However, we lack the necessary priviliges:
 N: main.c: We are not in group 'pulse-rt' and PolicyKit refuse to grant us
priviliges. Dropping SUID again.
 N: main.c: For enabling real-time scheduling please acquire the appropriate
PolicyKit priviliges, or become a member of 'pulse-rt', or increase the
RLIMIT_NICE/RLIMIT_RTPRIO resource limits for this user.
 I: main.c: High-priority scheduling enabled in configuration but now allowed by
policy. Disabling forcibly.
 W: main.c: setrlimit(RLIMIT_NICE, (31, 31)) failed: Operation not permitted
 W: main.c: setrlimit(RLIMIT_RTPRIO, (9, 9)) failed: Operation not permitted
 I: main.c: This is PulseAudio 0.9.10
 I: main.c: Page size is 4096 bytes
 I: main.c: Fresh high-resolution timers available! Bon appetit!
 D: cli-command.c: Checking for existance of
'/usr/lib64/pulse-0.9/modules/module-hal-detect.so': success
 I: module-hal-detect.c: Trying capability alsa
 D: module-hal-detect.c: Not loaded device
/org/freedesktop/Hal/devices/computer_alsa_timer
 D: module-hal-detect.c: Not loaded device
/org/freedesktop/Hal/devices/computer_alsa_sequencer
 I: module-hal-detect.c: Loaded 0 modules.
 I: module.c: Loaded "module-hal-detect" (index: #0; argument: "").
 D: cli-command.c: Checking for existance of
'/usr/lib64/pulse-0.9/modules/module-esound-protocol-unix.so': success
 I: module.c: Loaded "module-esound-protocol-unix" (index: #1; argument: "").
 I: protocol-native.c: loading cookie from disk.
 I: module.c: Loaded "module-native-protocol-unix" (index: #2; argument: "").
 I: module.c: Loaded "module-volume-restore" (index: #3; argument: "").
 D: module-default-device-restore.c: No previous default sink setting, ignoring.
 D: module-default-device-restore.c: No previous default source setting, ignoring.
 I: module.c: Loaded "module-default-device-restore" (index: #4; argument: "").
 I: module.c: Loaded "module-rescue-streams" (index: #5; argument: "").
 I: module.c: Loaded "module-suspend-on-idle" (index: #6; argument: "").
 D: cli-command.c: Checking for existance of
'/usr/lib64/pulse-0.9/modules/module-gconf.so': success
 I: module.c: Loaded "module-gconf" (index: #7; argument: "").
 D: cli-command.c: Checking for existance of
'/usr/lib64/pulse-0.9/modules/module-x11-publish.so': success
 D: module-x11-publish.c: using already loaded auth cookie.
 E: x11wrap.c: XOpenDisplay() failed
 E: module.c: Failed to load  module "module-x11-publish" (argument: ""):
initialization failed.
 E: main.c: Module load failed.
 I: main.c: Daemon startup complete.
 D: module-hal-detect.c: dbus: interface=org.freedesktop.DBus,
path=/org/freedesktop/DBus, member=NameAcquired
 I: client.c: Created 0 "Native client (UNIX socket client)"
 I: protocol-native.c: Got credentials: uid=500 gid=500 success=1
 I: protocol-native.c: Enabled SHM for new connection
 I: client.c: Client 0 changed name from "Native client (UNIX socket client)" to
"paplay"
 D: sink-input.c: Assertion 'data->sink' failed at pulsecore/sink-input.c:110,
function pa_sink_input_new.
 I: client.c: Freed 0 "paplay"
 I: protocol-native.c: connection died.
 I: client.c: Created 1 "Native client (UNIX socket client)"
 I: protocol-native.c: Got credentials: uid=500 gid=500 success=1
 I: protocol-native.c: Enabled SHM for new connection
 I: client.c: Client 1 changed name from "Native client (UNIX socket client)" to
"ALSA plug-in [alsamixer]"
 I: client.c: Freed 1 "ALSA plug-in [alsamixer]"
 I: protocol-native.c: connection died.
 I: client.c: Created 2 "Native client (UNIX socket client)"
 I: protocol-native.c: Got credentials: uid=500 gid=500 success=1
 I: protocol-native.c: Enabled SHM for new connection
 I: client.c: Client 2 changed name from "Native client (UNIX socket client)" to
"ALSA plug-in [alsamixer]"
 I: client.c: Freed 2 "ALSA plug-in [alsamixer]"
 I: protocol-native.c: connection died.

Comment 1 Lennart Poettering 2008-06-10 20:47:42 UTC
HAL doesn't find your audio device. The kernel drivers probably didn't recognize
your sound card as compatible. Reassigning to the kernel.

Comment 2 Tethys 2008-06-17 09:07:43 UTC
These might be relevant:

ACPI: PCI Interrupt 0000:00:1b.0[A] -> GSI 16 (level, low) -> IRQ 16
PCI: Setting latency timer of device 0000:00:1b.0 to 64
ALSA sound/pci/hda/hda_intel.c:1810: chipset global capabilities = 0x4401
ALSA sound/pci/hda/hda_intel.c:749: codec_mask = 0x1
hda_codec: Unknown model for ALC883, trying auto-probe from BIOS...
ALSA sound/pci/hda/hda_codec.c:2857: autoconfig: line_outs=4
(0x14/0x15/0x16/0x17/0x0)
ALSA sound/pci/hda/hda_codec.c:2861:    speaker_outs=0 (0x0/0x0/0x0/0x0/0x0)
ALSA sound/pci/hda/hda_codec.c:2865:    hp_outs=1 (0x1b/0x0/0x0/0x0/0x0)
ALSA sound/pci/hda/hda_codec.c:2866:    mono: mono_out=0x0
ALSA sound/pci/hda/hda_codec.c:2874:    inputs: mic=0x19, fmic=0x0, line=0x18,
fline=0x0, cd=0x0, aux=0x1a
ALSA sound/pci/hda/hda_codec.c:1073: Cannot find slave Headphone Playback
Volume, skipped
ALSA sound/pci/hda/hda_codec.c:1073: Cannot find slave Speaker Playback Volume,
skipped
ALSA sound/pci/hda/hda_codec.c:1073: Cannot find slave Mono Playback Volume, skipped
ALSA sound/pci/hda/hda_codec.c:1073: Cannot find slave Line-Out Playback Volume,
skipped
ALSA sound/pci/hda/hda_codec.c:1073: Cannot find slave Speaker Playback Switch,
skipped
ALSA sound/pci/hda/hda_codec.c:1073: Cannot find slave Mono Playback Switch, skipped


Comment 3 Tethys 2008-06-17 09:50:41 UTC
Fixed by yum updating to the latest F9 kernel


Note You need to log in before you can comment on or make changes to this bug.